Subject: bug#16735: Not very useful "Keywords:" headers in some elpa packages

From: Drew Adams <[email-masked]>
Date: Thu, 13 Feb 2014 11:47:57 -0800 (PST)

> > Why should it?
> 
> Because the finder keywords are not magical.  They're just a
> starting point for very general classification.  But it makes a lot
> of sense to put an "ocaml" keyword on ocaml-mode, tuareg-mode and
> merlin since all 3 provide functionality for ocaml.  Similarly it
> makes a lot of sense to use a "completion" keyword for company,
> icomplete, auto-complete, completion-ui, semantic, etc...
> 
> What I mean is that there's no reason to separate the two.  What the
> UI could do, OTOH is to only "buttonize" those keywords that appear
> in more than one package.

+1 to all of that.

Keywords in the header are *not* Finder keywords, anyway.  Finder
is one thing that makes use of them.

And even for that, I want Finder to be able to handle any keywords.

If someone wants/needs a more restrictive search that finds only
somebody's set of "official" keywords (which could be useful),
then that feature should be additional.

And it would be a trivial feature to add to Finder or whatever
(e.g. package.el): let users or code define known sets of
keywords to (optionally) recognize.

Keywords in the header have no particular meanings.  They mean
what you want them to mean or what some particular code that
uses them makes them mean (do).